Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Protected Attributes
Lucene::LuceneException Class Reference

Lucene exception container. More...

`#include <LuceneException.h>`

Inheritance diagram for Lucene::LuceneException:

## Public Types

enum

ExceptionType {
Null , AlreadyClosed , Compression , CorruptIndex ,
FieldReader , FileNotFound , IllegalArgument , IllegalState ,
IndexOutOfBounds , IO , LockObtainFailed , LockReleaseFailed ,
Lookahead , MergeAborted , Merge , NoSuchDirectory ,
NullPointer , NumberFormat , OutOfMemory , Parse ,
QueryParser , Runtime , StaleReader , StopFillCache ,
Temporary , TimeExceeded , TooManyClauses , UnsupportedOperation
}

## Public Member Functions

| LuceneException (const String &error=EmptyString, LuceneException::ExceptionType type=Null) throw ()
| ~LuceneException () throw ()
ExceptionType | getType () const
String | getError () const
bool | isNull () const
void | throwException ()
virtual const char * | what () const throw ()

## Protected Attributes

ExceptionType | type
String | error
std::string | _what

## Detailed Description

Lucene exception container.

## Member Enumeration Documentation

## ◆ ExceptionType

enum Lucene::LuceneException::ExceptionType

Enumerator
Null |
AlreadyClosed |
Compression |
CorruptIndex |
FieldReader |
FileNotFound |
IllegalArgument |
IllegalState |
IndexOutOfBounds |
IO |
LockObtainFailed |
LockReleaseFailed |
Lookahead |
MergeAborted |
Merge |
NoSuchDirectory |
NullPointer |
NumberFormat |
OutOfMemory |
Parse |
QueryParser |
Runtime |
StaleReader |
StopFillCache |
Temporary |
TimeExceeded |
TooManyClauses |
UnsupportedOperation |

## Constructor & Destructor Documentation

## ◆ LuceneException()

Lucene::LuceneException::LuceneException | ( | const String & | error = EmptyString,
|  | LuceneException::ExceptionType | type = Null )
throw | ( | ) |  |  |

References error, Null, and type.

Referenced by what().

## ◆ ~LuceneException()

Lucene::LuceneException::~LuceneException | ( |  | ) |
throw | ( | ) |  |  |

## Member Function Documentation

## ◆ getError()

String Lucene::LuceneException::getError | ( |  | ) | const

References getError().

Referenced by getError().

## ◆ getType()

ExceptionType Lucene::LuceneException::getType | ( |  | ) | const

References getType().

Referenced by getType().

## ◆ isNull()

bool Lucene::LuceneException::isNull | ( |  | ) | const

References isNull().

Referenced by isNull().

## ◆ throwException()

void Lucene::LuceneException::throwException | ( |  | ) |

References throwException().

Referenced by throwException().

## ◆ what()

virtual const char * Lucene::LuceneException::what | ( |  | ) | const
throw | ( | ) |  |  |

virtual

References LuceneException(), and what().

Referenced by what().

## Field Documentation

## ◆ _what

std::string Lucene::LuceneException::_what

protected

## ◆ error

String Lucene::LuceneException::error

protected

Referenced by Lucene::ExceptionTemplate< LuceneException, LuceneException::Runtime >::ExceptionTemplate(), and LuceneException().

## ◆ type

ExceptionType Lucene::LuceneException::type

protected

Referenced by Lucene::ExceptionTemplate< LuceneException, LuceneException::Runtime >::ExceptionTemplate(), and LuceneException().

The documentation for this class was generated from the following file:

- LuceneException.h

clucene.sourceforge.net